# Method: files.copy

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/copy#try-it)

Creates a copy of the specified file.

### HTTP request

`POST https://www.googleapis.com/drive/v2/files/{fileId}/copy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file to copy. |

### Query parameters

| Parameters ||
|---|---|
| `convert` | `boolean` Whether to convert this file to the corresponding Docs Editors format. |
| `enforceSingleParent (deprecated)` | `boolean` Deprecated: Copying files into multiple folders is no longer supported. Use shortcuts instead. |
| `ocr` | `boolean` Whether to attempt OCR on .jpg, .png, .gif, or .pdf uploads. |
| `ocrLanguage` | `string` If `ocr` is true, hints at the language to use. Valid values are BCP 47 codes. |
| `pinned` | `boolean` Whether to pin the head revision of the new copy. A file can have a maximum of 200 pinned revisions. |
| `supportsAllDrives` | `boolean` Whether the requesting application supports both My Drives and shared drives. |
| `supportsTeamDrives (deprecated)` | `boolean` Deprecated: Use `supportsAllDrives` instead. |
| `timedTextLanguage` | `string` The language of the timed text. |
| `timedTextTrackName` | `string` The timed text track name. |
| `visibility` | ``enum (`https://developers.google.com/workspace/drive/api/reference/rest/v2/Visibility`)`` The visibility of the new file. Permissions are still inherited from parent folders. This parameter is only relevant when the source is not a Google Doc file and when `convert=false`. |
| `includePermissionsForView` | `string` Specifies which additional view's permissions to include in the response. Only `published` is supported. |
| `includeLabels` | `string` A comma-separated list of IDs of labels to include in the `labelInfo` part of the response. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/files#File`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/files#File`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.apps.readonly`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.photos.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).